*{
  margin: 0;
  padding: 0;
  font-family: 'poppins', sans-serif;
  box-sizing: border-box;
}



body{
  background-color: #222;
}

.container {
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
}

.card{
  max-width: 29.375rem;
  background: linear-gradient(135deg, #00feba, #5b548a);
  color: #fff;
  margin: auto;
  border-radius: 1.25rem;
  padding: 2.5rem 2.1875rem;
  text-align: center;
  
}

.search{
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.search input{
  border: 0;
  outline: 0;
  background: #ebfffc;
  color: #555;
  padding: 0.625rem 1.5625rem;
  height: 3.75rem;
  border-radius: 1.875rem;
  flex: 1;
  margin-right: 1rem;
  font-size: 1.125em;
}

.search button{
  border: 0;
  outline: 0;
  background: #ebfffc;
  border-radius: 50%;
  width: 3.75rem;
  height: 3.75rem;
  cursor: pointer;  
}

.search button img{
  width: 1rem;
}

.weather-icon{
  width: 10.625rem;
  margin-top: 1.875rem;
}

.weather h1{
  font-size: 5em;
  font-weight: 500;
}

.weather h2{
  font-size: 2.8125em;
  font-weight: 400;
  margin-top: -0.625rem;
}

.details{
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 1.25rem;
  margin-top: 3.125rem;
}

.col{
  display: flex;
  align-items: center;
  text-align: left;
}

.col img{
  width: 2.5rem;
  margin-right: 0.625rem;
}

.humidity, .wind{
  font-size: 1.75em;
}

.weather{
  display: none;
}

.error{
  text-align: left;
  margin-left: 0.625em;
  font-size: 0.875em;
  margin-top: 0.625em;
  display: none;
}